<?php

#
# Note*: You may also need to translate manually other files,
# like footer.php, or other pages you may have had added
# Also don`t forget to translate site settings, like description,
# name and slogan from admin.php.
#

$lang = array();

// Main Page translations


$lang['main_welcome_to']           = 'Bine ai venit pe';
$lang['main_site']                 = 'Site';
$lang['main_site_placeholder']     = 'http://gooogle.com';
$lang['main_keywords']             = 'Cuvinte cheie';
$lang['main_keywords_placeholder'] = 'masini sport, bocanci iarna, parfumuri';
$lang['main_seo_profile']     	   = 'Profil SEO';
$lang['main_seo_profile_not'] 	   = 'Nici unul valabil';   
$lang['main_about_profile']   	   = 'Detalii';
$lang['main_sites_analysed']  	   = 'Site-uri analizate';
$lang['main_like_us']         	   = 'Ne gasesti si pe facebook';   

// SEO test finished translations

$lang['analised_loading'] 				 = 'Generare raport SEO pentru';
$lang['analised_host_up'] 				 = 'Site accesibil';
$lang['analised_host_down']              = 'Site inaccesibil';
$lang['analised_host_down_tips']         = 'Verifica integritatea domeniului sau/si daca serverul ruleaza!';
$lang['analised_profile']                = 'Raport SEO folosit';
$lang['analised_profile_err']            = 'Selecteaza un profil inainte de a rula testul';
$lang['analised_keywords_used']          = 'Cuvinte cheie folosite';
$lang['analised_view']                   = 'Vezi';
$lang['analised_dl_download']            = 'Downloadeaza';
$lang['analised_the_pdf']                = 'acest raport SEO ca fisier PDF';
$lang['analised_score']                  = 'Scor';
$lang['analised_generated']              = 'Generat in';
$lang['analised_bad']                    = 'Rau';
$lang['analised_decent']                 = 'Bun';
$lang['analised_perfect']                = 'Perfect';
$lang['analised_host_info']              = 'Informatii Server';
$lang['analised_host_adress']            = 'Adresa IP';
$lang['analised_host_blacklist_status']  = 'Status Blacklist';
$lang['analised_host_country']           = 'Tara';
$lang['analised_host_region']            = 'Regiune';
$lang['analised_host_provider']          = 'Provider';
$lang['analised_domain_info']            = 'Informatii Domeniu';
$lang['analised_domain_pagerank']        = 'Pagerank';
$lang['analised_domain_alexarank']       = 'Rank Alexa';
$lang['analised_domain_alexapopularity'] = 'Popularitate Alexa';
$lang['analised_domain_whois']           = 'Whois';
$lang['analised_domain_view_whois']      = 'Vezi Informatiile Whois';
$lang['analised_seo_raport']             = 'Raport SEO';

// SEO results translations

$lang['category_crawling'] = 'Crawling';
$lang['crawling_http']     = 'Verificare raspuns HTTP';
$lang['crawling_robots']   = 'Verificare Robots.txt';
$lang['crawling_sitemap']  = 'Verificare Sitemap';
 
$lang['category_head']     = 'Head';

$lang['head_title_check']       = 'Verificare titlu';
$lang['head_title_title']       = 'Titlu';
$lang['head_title_length']      = 'Lungime';
$lang['head_title_stop_words']  = 'Cuvinte "Stop"';
$lang['head_title_kwintitle']   = 'Cuvinte Cheie in titlu';
$lang['head_title_relevance']   = 'Relevanta cu cuvintele cheie';
$lang['head_kw_keywords_check'] = 'Verificare cuvinte cheie META';
$lang['head_kw_keywords']       = 'Cuvinte Cheie';
$lang['head_kw_count']          = 'Numar cuvinte';
$lang['head_kw_rel']            = 'Relevanta cu site-ul';
$lang['head_desc_check']        = 'Verificare descriptie META';
$lang['head_desc_desc']         = 'Descriere';
$lang['head_desc_length']       = 'Lungime descriere';
$lang['head_desc_kwindesc']     = 'Cuvinte cheie in descriere';
$lang['head_desc_relevance']    = 'Relevanta cu cuvintele cheie';

$lang['category_content']  = 'Continut';
$lang['content_language']  = 'Limba';
$lang['content_charcount'] = 'Numar caractere';
$lang['content_wordcount'] = 'Numar cuvinte';
$lang['content_kwin']      = 'Cuvinte cheie prezente';
$lang['content_rel']       = 'Relevanta cu cuvintele cheie';
$lang['content_kwini']     = 'Cuvinte in "italic"';
$lang['content_kwinb']     = 'Cuvinte in "bold"';
$lang['content_headings']  = 'Verificare "headings"';
$lang['content_iframes']   = 'Verificare Iframe-uri';

$lang['category_url']   = 'Structura URL';
$lang['url_domain']     = 'Domeniu'; 
$lang['url_kwin']       = 'Cuvinte cheie in domeniu';
$lang['url_length']     = 'Lungime domeniu';
$lang['url_subdomains'] = 'Subdomenii';


$lang['category_links'] = 'Linkuri';
$lang['links_i'] 		= 'Linkuri interne';
$lang['links_e'] 		= 'Linkuri externe';

$lang['category_ux']   = 'Experienta useri';
$lang['ux_pagespeed']  = 'Viteza pagina';
$lang['ux_responsive'] = 'Design responsive';
$lang['ux_grammar']    = 'Greseli gramaticale';
$lang['ux_contact']    = 'Pagina contact';

// Other translations

$lang['label_tips'] = 'Informatii si sfaturi';

$lang['err_notloggedin'] = 'Aceasta pagina nu poate fi accesata fara a fi logat.';
$lang['err_notprovided'] = 'Nespecificat';

$lang['general_ok']            = 'Ok';
$lang['general_nok']           = 'Nu e Ok';
$lang['general_bad']           = 'Rau';
$lang['general_notenough']     = 'Rau, nu indeajuns';
$lang['general_good']          = 'Bun';
$lang['general_perfect']       = 'Perfect';
$lang['general_toomuch']       = 'Rau, prea mult';
$lang['general_notcomputable'] = 'Nu s-a putut calcula';

$lang['general_lang_unavailable'] = 'Serviciu nu este valabil';
$lang['general_lang_notsup']      = 'Limba nu este suportata';

$lang['general_resp']   = 'Responsive';
$lang['genral_notresp'] = 'Not responsive';

$lang['general_present']    = 'Prezent';
$lang['general_notpresent'] = 'Nu e prezent';

